<?php
/**
 * Template part for displaying posts when image is left.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Acme Themes
 * @subpackage Read More
 */
global $read_more_customizer_all_values;
$read_more_blog_archive_layout = $read_more_customizer_all_values['read-more-blog-archive-layout']
?>

<article id="post-<?php the_ID(); ?>" <?php post_class($read_more_blog_archive_layout); ?>>
    <div class="content-wrapper">
        <div class="row">
            <?php
            $content_col = 'col-md-12';
            if ( $read_more_blog_archive_layout == 'left-image' && has_post_thumbnail() ) {
                ?>
                <div class="col-md-4">
                    <!--post thumbnal options-->
                    <a href="<?php the_permalink(); ?>" class="full-image">
                        <?php
                        the_post_thumbnail( 'large', array( 'class' => 'aligncenter' ) );
                        ?>
                    </a>
                </div>
                <?php
                $content_col = 'col-md-8';
            }
            ?>
            <div class="<?php echo $content_col?>">
                <?php read_more_entry_cats(); ?>
                <header class="entry-header">
                    <?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
                </header><!-- .entry-header -->
                <?php
                if ( 'post' === get_post_type() ) : ?>
                    <div class="entry-meta img-left">
                        <?php read_more_posted_on(); ?>
                    </div><!-- .entry-meta -->
                    <?php
                endif; ?>
                <div class="entry-content">
                    <?php
                    the_excerpt();
                    ?>
                    <div class="btn-wrapper clearfix">
                        <div class="btn-icon-box">
                            <div class="btn-data">
                                <a class="btn-links" href="<?php the_permalink(); ?> "><?php _e('Read More', 'read-more'); ?></a>
                            </div>
                        </div>
                    </div>
                    <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'read-more' ),
                        'after'  => '</div>',
                    ) );
                    ?>
                </div><!-- .entry-content -->
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</article><!-- #post-## -->